Bug 614734 - [Para-Virtualized_Drivers] Inaccurate explanation of YourGuestName in Chapter 3.1
[Para-Virtualized_Drivers] Inaccurate explanation of YourGuestName in Chapte...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Scott Radvan
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 02:19 EDT by Lei Wang
Modified: 2015-04-06 23:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-15 00:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Wang 2010-07-15 02:19:17 EDT
Description of problem:


Steps to Reproduce:
1.Open the following link:
https://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/en-US/RHEL510/html/Para-Virtualized_Drivers/sect-Para-Virtualized_Drivers-Installation_and_Configuration_of_Para_virtualized_Drivers-Common_installation_steps.html
2.Find the following sentence:
***8.Restart your guest using the “xm create YourGuestName” command where YourGuestName is the name of the guest operating system.***

Actual results:
Notice the last part:YourGuestName is the name of the guest operating system.

Expected results:
YourGuestName here should be the config file's name, may be same as guest operating system's name, and the operating system's name was defined in config file by "name = "os_name"" instruction.

See the help information of xm create command:
[root@dhcp-93-192 xen]# xm create -h

Usage: xm create <ConfigFile> [options] [vars]



Create a domain based on <ConfigFile>.


...
Comment 1 Scott Radvan 2010-12-06 16:40:30 EST
This section now uses the virsh command:

http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Virtualization/sect-Virtualization-Installing_the_Para_virtualized_Drivers.html#sect-Virtualization-Installing_the_Para_virtualized_Drivers-Common_installation_steps

"xm create" is still used elsewhere in the guide, but in all instances, it explains the <ConfigFile> option.

Please let me know if this problem remains in this latest build.
Comment 2 Lei Wang 2010-12-06 22:08:24 EST
Hi, Scott

It looks good to me now.

but I happened to find that:
1)
11.3.1. Common installation steps
"2. ... ...
and the virtual network device module, xen.vnif.ko." <== should be xen-vnif.ko

Actually for rhel4 and rhel5, the 4 modules use "_" instead of "-", such as xen_vnif instead of xen-vnif.

2)
For: 11.3.1
... ...
"6. Remove the “type=ioemu” entry for the network device."
... ...

"xm" and "virsh" are mixed used.
step6 is configuring the config file that used by "xm", the change will not take affect when use "virsh" to start the vm again,

===
For: 11.3.2
... ...
"7.Edit the guest configuration file in /etc/xen/YourGuestsName in the following ways:
     Remove the “type=ioemu” entry from the “vif=” entry. "
... ...

in step7, same problem also exists.

For I am not so familiar with "virsh" command, I think it would be better to let someone else to go through the related part of this document.

Note You need to log in before you can comment on or make changes to this bug.